# Awesome Joomla! [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

> A curated list of awesome Joomla! resources by [@anibalhsanchez](https://twitter.com/anibal_sanchez) [https://blog.anibalhsanchez.com](https://blog.anibalhsanchez.com)

Awesome list of Joomla! seed repos, starters, boilerplates, examples, tutorials, components, modules, videos, and anything else in Joomla! community. All references are mainly coming from my personal bookmarks and suggestions. Feel free to send me new additions.

Aweseome Joomla! Guidelines:

- Joomla! has more than 10 years of history. So, there are many many many resources. Please, submit only links with up-to-date information.
- No templates or extensions. There are around 8,000 extensions on JED and I can't even count the top templates. So, to keep the list clean, we have to avoid naming extensions or templates. If you are looking for templates, just google it. If you are looking for extensions, go to [Joomla! Extensions Directory (JED)](https://extensions.joomla.org/). As a guideline of best practices, please, visit the [Development](#development) area where the list includes [Template Frameworks](#template-frameworks) and [General Development Frameworks](#general-development-frameworks).

## What is Joomla?

_Joomla is a free and open-source content management system (CMS) for publishing web content. It is built on a model–view–controller web application framework that can be used independently of the CMS._

_Joomla! is written in PHP, uses object-oriented programming (OOP) techniques (since version 1.5) and software design patterns, stores data in a MySQL, MS SQL (since version 2.5), or PostgreSQL (since version 3.0) database, and includes features such as page caching, RSS feeds, printable versions of pages, news flashes, blogs, search, and support for language internationalization._

_As of November 2016, Joomla! has been downloaded over 81 million times. Over 7,800 free and commercial extensions are available from the official Joomla! Extensions Directory, and more are available from other sources. It is estimated to be the second most used content management system on the Internet, after WordPress._

From Wikipedia: [Joomla](https://en.wikipedia.org/wiki/Joomla) <https://en.wikipedia.org/wiki/Joomla>

## Current Joomla! version: 3.7.2

- [Joomla! Downloads](https://downloads.joomla.org/) / Downloaded over 80,000,000 times!
- [Usage Statistics](https://developer.joomla.org/about/stats.html)

## Contents

- [Official Resources](#official-resources)
- [Joomla! Extensions Directory (JED)](#joomla-extensions-directory-jed)
- [Leadership](#leadership)
- [Community](#community)
- [Development](#development)
- [Marketing](#marketing)
- [Experts on Twitter](#experts-on-twitter)
- [Archive](#archive)

## Official Resources

- [Joomla! - Main Site](https://www.joomla.org/)
- [Joomla! Volunteers Portal™](https://volunteers.joomla.org/)
    - [Board of Directors - Reports](https://volunteers.joomla.org/board-of-directors)
    - [Departments - Reports](https://volunteers.joomla.org/departments)
        - [Events](https://volunteers.joomla.org/departments/events)
        - [Legal & Financial](https://volunteers.joomla.org/departments/legal-financial)
        - [Marketing & Communication](https://volunteers.joomla.org/departments/marketing-communication)
        - [Operations](https://volunteers.joomla.org/departments/operations)
        - [Production](https://volunteers.joomla.org/departments/production)
        - [Programs](https://volunteers.joomla.org/departments/programs)
- [Advertise on Joomla! | BuySellAds](https://www.buysellads.com/buy/detail/278743)

## Joomla! Extensions Directory (JED)

- Most Common Submission Errors
    - Install name doesn't match listing name.
    - Use the [JED Checker](https://extensions.joomla.org/extensions/extension/miscellaneous/development/jedchecker/) tool to screen your extension before resubmitting.    
    - [Submission Error Codes](https://extensions.joomla.org/support/knowledgebase/item/submission-error-codes/)

## Leadership

### Organization Chart

![Organization Chart](https://community.joomla.org/images/blogs/leadership-blog/joomla_leadership_structure.png)

### Teams

- Events
    - Events
    - User Groups (JUG)
    - World Conference (JWC)
- Legal & Finance
    - Capital
    - Finance Team (FIT)
    - Trademark & Licensing (TLWG)
- Marketing & Communication
    - Community Translation
    - Marketing
    - Social Media
- Operations
    - Community Magazine (JCM)
    - Extensions Directory (JED)
    - Forum
    - Resources Directory (JRD)
    - Showcase Directory (JSD)
    - Template Directory (JTD)
    - Vulnerable Extensions List (VEL)
- Production
    - Automated Testing
    - Bug Squad
    - CMS Maintainance
    - CMS Release
    - Core Translation
    - Documentation (JDOCS)
    - Framework
    - Google Summer of Code (GSOC)
    - Joomla! X
    - Security Strike Team (SST)
    - User Experience (JUX)
- Programs
    - Certification
    - Event Traveller Program (JET)

### Joomla! Board of Directors

- [President - Robert Jacobi](http://example.com)
- [Vice-President - Aleksander Kuczek](http://example.com)
- [Secretary - Luca Marzo](http://example.com)

#### Department Coordinators

- [Production - Michael Babker](https://twitter.com/mbabker)
- [Treasurer - Mike Demopoulos](https://twitter.com/mpmike)
- [Operations - Peter Martin](http://twitter.com/pe7er)
- [Marketing & Communication - Radek Suski](https://twitter.com/RadekSu)
- [Events - Rowan Hoskyns Abrahall](https://volunteers.joomla.org/joomlers/677-rowan-hoskyns-abrahall)
- [Legal & Finance - Søren Beck Jensen](https://twitter.com/sorenbeck)
- [Programs - Yves Hoppe](https://twitter.com/yveshoppe)

## Community

### Sites

Website | URL 
------- | ------
Main Site | [www.joomla.org](https://www.joomla.org)
Joomla! API | [api.joomla.org](https://api.joomla.org)
Joomla! Certification Program | [certification.joomla.org](https://certification.joomla.org)
The Joomla! Community Portal | [community.joomla.org](https://community.joomla.org)
Joomla! World Conference | [conference.joomla.org](https://conference.joomla.org)
Joomla! Developer Network | [developer.joomla.org](https://developer.joomla.org)
Joomla! Documentation | [docs.joomla.org](https://docs.joomla.org)
Joomla! Downloads | [downloads.joomla.org](https://downloads.joomla.org)
Joomla! Certification Exam | [exam.joomla.org](https://exam.joomla.org)
Joomla! Extensions Directory | [extensions.joomla.org](https://extensions.joomla.org)
The Joomla! Forum | [forum.joomla.org](https://forum.joomla.org)
Joomla! Framework | [framework.joomla.org](https://framework.joomla.org)
Joomla! Issue Tracker | [issues.joomla.org](https://issues.joomla.org)
Joomla! Community Magazine | [magazine.joomla.org](https://magazine.joomla.org)
Open Source Matters! | [opensourcematters.org](http://opensourcematters.org)
Joomla! Resources Directory | [resources.joomla.org](http://resources.joomla.org)
Joomla! Showcase Directory | [showcase.joomla.org](https://showcase.joomla.org)
Joomla! Trademark & Licensing | [tm.joomla.org](https://tm.joomla.org)
The Joomla! Vulnerable Extensions List | [vel.joomla.org](https://vel.joomla.org)
Joomla! Volunteers Portal | [volunteers.joomla.org](https://volunteers.joomla.org)
JoomlaCode | [joomlacode.org](http://joomlacode.org)

## Development

### Source Code

- [joomla/joomla-cms - Main Repository](https://github.com/joomla/joomla-cms) - Home of the Joomla! Content Management System

### Tips and Tircks - A handy reference for beginners

- [Accessing the database using JDatabase](https://docs.joomla.org/How_to_use_the_database_classes_in_your_script)- [Retrieving request data using JInput](https://docs.joomla.org/Retrieving_request_data_using_JInput)
- [Adding JavaScript and CSS to the page](https://docs.joomla.org/Adding_JavaScript_and_CSS_to_the_page)
- [Understanding Output Overrides](https://docs.joomla.org/Understanding_Output_Overrides) - A Personal Note: This is VERY important to master the art of customizing a site.


### Template Frameworks

TBD

### General Development Frameworks

TBD

### Testing

- [Running Automated Tests for the Joomla CMS](https://docs.joomla.org/Running_Automated_Tests_for_the_Joomla_CMS)

### Administration

- [How do you recover or reset your admin password?](https://docs.joomla.org/How_do_you_recover_or_reset_your_admin_password%3F)

### Coding standard

- [Joomla! Developer Network - Coding standard](https://developer.joomla.org/coding-standards)
- [Joomla CodeSniffer (PHP CS 1.5.6)](https://docs.joomla.org/Joomla_CodeSniffer#1._Installation_of_PHP_Code_Sniffer_.28phpcs.29) - Legacy - 1.x - <https://github.com/joomla/coding-standards/tree/1.x>
- [Joomla CodeSniffer - (PHP CS 2.8)](https://github.com/joomla/coding-standards) - Modern 2.0.0-alpha

## Marketing

- [A sustainable ecosystem for Joomla](https://docs.google.com/presentation/d/1Sx1UPZ8whxsxFvyHCMoGhtF5_HvHH1Xy3QWJe3EeCcE/edit#slide=id.g1ba30ac4d2_0_6)
- [Joomla Marketing Visuals](https://docs.joomla.org/Joomla_Marketing_Visuals) - [Google Drive](http://goo.gl/VRlZCP)
- [Joomla Signature](https://drive.google.com/drive/folders/0B-WMsfRg_wiva0ZIMUtNNWVIVnM)
- [Joomla Brandmark](https://drive.google.com/drive/folders/0B-WMsfRg_wivamdtTnppRkpFMmM)
- [Official Colours](https://drive.google.com/drive/folders/0B-WMsfRg_wivZVRST29TMUQ3blk)
- [Typography](https://drive.google.com/drive/folders/0B-WMsfRg_wivMVp2T0V4VU5EOW8)
- [Logos - Conditional Use](https://drive.google.com/drive/folders/0B0yY6xU4qDVUaVdoXzlHeHZMeTg)
- [Joomla 3.6 Imagery](https://docs.joomla.org/J3.x:Joomla_3.6_Imagery)

## Social Media

- [Joomla 3.5](https://drive.google.com/drive/folders/0B5uNo3ban2UnN05UYUh6M1hXVmM)

## Experts on Twitter

- [@astroboysoup](https://twitter.com/astroboysoup)
- [@brianteeman](https://twitter.com/brianteeman)
- [@cozimek](https://twitter.com/cozimek)
- [@mbabker](https://twitter.com/mbabker)
- [@MIT5O5](https://twitter.com/MIT5O5)
- [@philiplocke](https://twitter.com/philiplocke)
- [@phproberto](https://twitter.com/phproberto)
- [@RadekSu](https://twitter.com/RadekSu)
- [@rdeutz](https://twitter.com/rdeutz)
- [@SteveJBurge](https://twitter.com/SteveJBurge)

## Archive

List of archived Joomla! sub-projects, unsupported or longer active:

- [What version of Joomla! should you use?](https://docs.joomla.org/What_version_of_Joomla!_should_you_use%3F) Joomla! 1.0, 1.5, 1.6, 1.7 and 2.5.
- [API16:Framework](https://docs.joomla.org/API16:Framework) - The Joomla! Framework was an important part of the Joomla! CMS architecture in the versions 1.5 and 1.6. Do NOT confuse with the current JFramework (Yes, I know ...).
- [JPlatform](https://docs.joomla.org/Platform) - As of 24 April 2013, the Platform project has been retired. The Platform has been merged back into the CMS.

## Contribute

Contributions welcome! Read the [contribution guidelines](contributing.md) first.

## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](http://creativecommons.org/publicdomain/zero/1.0)

To the extent possible under law, Anibal Sanchez has waived all copyright and
related or neighboring rights to this work.
